---
title: "Approve a credit memo · Credit Memos · COUNT Partner API"
description: "Approves a draft credit memo so its balance can be applied to invoices. PATCH /partners/invoices/{uuid}/approve"
canonical: "https://developers.getcount.com/reference/credit-memo/approve-credit-memo"
source: "https://developers.getcount.com/reference/credit-memo/approve-credit-memo"
---
[Credit Memos](https://developers.getcount.com/reference/credit-memo) / Approve a credit memo

# Approve a credit memo

PATCH `/partners/invoices/{uuid}/approve`

Approves a draft credit memo so its balance can be applied to invoices.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=PATCH&path=%2Fpartners%2Finvoices%2F%7Buuid%7D%2Fapprove&body=%7B%0A++%22skipJesOnboarding%22%3A+true%0A%7D)

[Invoices API](https://developers.getcount.com/reference/invoices)

#### Path parameters

`uuid` uuid required

The credit memo UUID to approve.

#### Request body

`skipJesOnboarding` boolean

Skip journal-entry onboarding prompts.

#### Responses

`200` Credit memo approved.

`404` Credit memo not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous PATCH Update a credit memo](https://developers.getcount.com/reference/credit-memo/update-credit-memo) [Next DELETE Delete a credit memo](https://developers.getcount.com/reference/credit-memo/delete-credit-memo)

PATCH `https://api.getcount.com/partners/invoices/{uuid}/approve`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'PATCH';
const signingPath = '/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/approve';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
  "skipJesOnboarding": true
};
const bodyString = JSON.stringify(body);

const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/invoices/3fa85f64-5717-4562-b3fc-2c963f66afa6/approve`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    'Content-Type': 'application/json',
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
  body: bodyString,
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "data": {
    "invoice": {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "invoiceNumber": "CM-0042",
      "invoiceType": "memo",
      "customerUuid": "dfa3219e-6af8-4c53-997a-037534f63a35",
      "appliedToInvoiceUuid": "f6a7b8c9-d0e1-2345-fabc-456789012345",
      "date": "2026-03-01",
      "dueDate": null,
      "currency": "USD",
      "status": "approved",
      "isDraft": false,
      "approved": true,
      "isSent": false,
      "paymentStatus": "unpaid",
      "subtotal": 500,
      "taxTotal": 0,
      "total": 500,
      "amountDue": 500,
      "products": [
        {
          "productUuid": "aa11bb22-cc33-dd44-ee55-ff6677889900",
          "description": "Credit for overbilling on prior invoice",
          "quantity": 1,
          "unitPrice": 500,
          "nonTaxable": true
        }
      ],
      "createdAt": "2026-03-01T09:00:00.000Z",
      "updatedAt": "2026-03-02T11:15:00.000Z"
    }
  }
}
```
